package com.inspect.system.service.impl;

import com.inspect.system.domain.SysNotice;
import com.inspect.system.mapper.SysNoticeMapper;
import com.inspect.system.service.ISysNoticeService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysNoticeServiceImpl implements ISysNoticeService {
    private final SysNoticeMapper noticeMapper;

    public SysNoticeServiceImpl(SysNoticeMapper noticeMapper) {
        this.noticeMapper = noticeMapper;
    }

    public SysNotice selectNoticeById(Long noticeId) {
        return this.noticeMapper.selectNoticeById(noticeId);
    }

    public List<SysNotice> selectNoticeList(SysNotice notice) {
        return this.noticeMapper.selectNoticeList(notice);
    }

    public int insertNotice(SysNotice notice) {
        return this.noticeMapper.insertNotice(notice);
    }

    public int updateNotice(SysNotice notice) {
        return this.noticeMapper.updateNotice(notice);
    }

    public int deleteNoticeById(Long noticeId) {
        return this.noticeMapper.deleteNoticeById(noticeId);
    }

    public int deleteNoticeByIds(Long[] noticeIds) {
        return this.noticeMapper.deleteNoticeByIds(noticeIds);
    }
}
